Bug 13866 - Columns configuration - Patrons search
Summary: Columns configuration - Patrons search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10212 13865
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-18 12:23 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13866: Columns configuration - Patrons search (2.95 KB, patch)
2015-03-18 12:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
no option for patrons (24.35 KB, image/png)
2015-03-29 20:32 UTC, Nicole C. Engard
Details
Bug 13866: Columns configuration - Patrons search (3.82 KB, patch)
2015-03-30 09:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13866: Columns configuration - Patrons search (3.88 KB, patch)
2015-03-30 13:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13866: Columns configuration - Patrons search (3.89 KB, patch)
2015-03-30 13:53 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 13866: Columns configuration - Patrons search (3.96 KB, patch)
2015-04-10 13:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-18 12:23:23 UTC

    
Comment 1 Jonathan Druart 2015-03-18 12:29:05 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-03-29 20:32:03 UTC
Created attachment 37350 [details]
no option for patrons

It works on the patron search, but not on the admin page
Comment 3 Jonathan Druart 2015-03-30 09:04:53 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-03-30 09:05:31 UTC
(In reply to Nicole C. Engard from comment #2)
> Created attachment 37350 [details]
> no option for patrons
> 
> It works on the patron search, but not on the admin page

Thanks Nicole for catching that!
Last patch adds it to the admin page.
Comment 5 Nicole C. Engard 2015-03-30 13:37:28 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2015-03-30 13:53:46 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-03-30 14:40:41 UTC
(In reply to Josef Moravec from comment #6)
> Created attachment 37375 [details] [review] [review]
> Bug 13866: Columns configuration - Patrons search
> 
> This patch adds the ability to hide columns on the patrons search page
> (acqui/lateorders.pl).

Of course, it's not lateorders.pl, but members/member.pl (bad c/p).


> Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
> Works as expected

Thanks Josef!
Comment 8 Kyle M Hall 2015-04-10 13:11:32 UTC
Created attachment 37647 [details] [review]
[PASSED QA] Bug 13866: Columns configuration - Patrons search

This patch adds the ability to hide columns on the patrons search page
(acqui/lateorders.pl).

Test plan:
Go on the patrons search page and confirm you are able to hide columns.
You can also play with the columns configuration admin page and confirm
that the behaviors are consistent.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Works as expected

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-04-12 03:57:29 UTC
Patch pushed to master.

Thanks Jonathan!